## i3-settings-qubes 1.8

=== Makefile ===
SPEC := i3-settings-qubes.spec

install:
	install -m 644 -D i3.config $(DESTDIR)/etc/i3/config.qubes
	install -m 644 -D i3.config.keycodes $(DESTDIR)/etc/i3/config.keycodes.qubes
	install -m 755 -D qubes-i3-sensible-terminal $(DESTDIR)/usr/bin/qubes-i3-sensible-terminal
	install -m 755 -D qubes-i3-xdg-autostart $(DESTDIR)/usr/bin/qubes-i3-xdg-autostart
	install -m 755 -D qubes-i3status $(DESTDIR)/usr/bin/qubes-i3status

clean:
	rm -rf debian/changelog.*
	rm -rf pkgs

=== debian/changelog ===
i3-settings-qubes (1.8-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 20 Sep 2020 02:34:19 +0200

i3-settings-qubes (1.8-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * debian: initial packaging from upstream

  [ Lukas Czerner ]
  * qubes-i3-sensible-terminal: use qrexec-client directly

  [ Marek Marczykowski-Górecki ]
  * Fallback to qvm-run outside of dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 20 Sep 2020 02:34:19 +0200

i3-settings-qubes (1.7-1) unstable; urgency=medium

  Initial commit

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sun, 11 Aug 2020 10:00:00 +0200

=== debian/control ===
Source: i3-settings-qubes
Section: xfce
Priority: extra
Maintainer: Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>
Build-Depends:
  debhelper (>= 10~),
  config-package-dev
Standards-Version: 4.3.0
Homepage: http://www.qubes-os.org

Package: i3-settings-qubes
Section: i3
Architecture: amd64
Depends: i3, ${shlibs:Depends}, ${misc:Depends}
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Description: Default i3 settings for Qubes.
  Default i3 settings for Qubes.

## i3-settings-qubes 1.9

=== debian/changelog ===
i3-settings-qubes (1.9-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 18 Jun 2021 03:55:58 +0200

i3-settings-qubes (1.9-1) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Jun 2021 03:55:58 +0200

i3-settings-qubes (1.8-2) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Jun 2021 03:44:55 +0200

## i3-settings-qubes 1.12

=== debian/changelog ===
i3-settings-qubes (1.12-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 04 Jan 2025 04:05:27 +0100

i3-settings-qubes (1.12-1) unstable; urgency=medium

  [ Zaz Brown ]
  * fix: remove duplicate `qvm-run "$vm"`

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Jan 2025 04:05:27 +0100

i3-settings-qubes (1.11-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Rework qubes-i3status in python and improve snd and net status

  [ Marek Marczykowski-Górecki ]
  * rpm: mark packages as noarch

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Aug 2024 23:45:45 +0200

i3-settings-qubes (1.10-1) unstable; urgency=medium

  [ immeëmosol ]
  * Prevent errors from qubes-i3status
  * Update i3.config to prevent errors for dmenu

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 10 Apr 2023 03:12:50 +0200

i3-settings-qubes (1.9-3) unstable; urgency=medium

  [ anadahz ]
  * Fix disk size, conditionally select sound card in amixer
  * Avoid double amixer sget call
  * Call qvm-pool only once

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 28 Feb 2023 15:02:14 +0100

i3-settings-qubes (1.9-2) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 05 Dec 2022 01:50:53 +0100

## i3-settings-qubes 1.15

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	install -m 644 -D i3.config.keycodes $(DESTDIR)/etc/i3/config.keycodes.qubes
 	install -m 755 -D qubes-i3-sensible-terminal $(DESTDIR)/usr/bin/qubes-i3-sensible-terminal
 	install -m 755 -D qubes-i3-xdg-autostart $(DESTDIR)/usr/bin/qubes-i3-xdg-autostart
-	install -m 755 -D qubes-i3status $(DESTDIR)/usr/bin/qubes-i3status
+	install -m 755 -D qubes-i3status.py $(DESTDIR)/usr/bin/qubes-i3status
 
 clean:
 	rm -rf debian/changelog.*

=== debian/changelog ===
i3-settings-qubes (1.15-1+deb13u1+devel1) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 15:10:03 +0000

i3-settings-qubes (1.15-1) unstable; urgency=medium

  * Do not deviate from upstream for floating toggle

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 15 Dec 2025 18:22:32 +0100

i3-settings-qubes (1.14-1) unstable; urgency=medium

  [ Ben Grande ]
  * Do not break status if qubesd has stopped
  * Make sensible terminal cleaner and faster
  * Improve i3 config and dmenu speed
  * Improve XDG autostart using arrays and eval

  [ Marek Marczykowski-Górecki ]
  * Add mod+shift+d for starting qubes menu
  * Fix starting notification daemon

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 10 Dec 2025 05:37:55 +0100

i3-settings-qubes (1.13-1) unstable; urgency=medium

  * Include notification daemon
  * CI: drop R4.1, add R4.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Jun 2025 02:04:59 +0200
